mpc85xx_rio_setup
Prev | PPC32 support | Next

## Name

mpc85xx_rio_setup — Setup MPC85xx RapidIO interface

## Synopsis

`void mpc85xx_rio_setup (` | int | law_start,
| int | law_size`)`;

## Arguments

`law_start`

  Starting physical address of RapidIO LAW

`law_size`

  Size of RapidIO LAW

## Description

Initializes MPC85xx RapidIO hardware interface, configures master port with system-specific info, and registers the master port with the RapidIO subsystem.

Prev | Up | Next
mpc85xx_rio_doorbell_init | Home | Chapter 5. Credits